<h1 class="notification is-info">Comments</h1>
<div class="columns">
  <div class="column is-12">
    <div *ngFor="let comment of comments; let i = index">
      <div class="box">
        <article class="media">
          <div class="menu-item" (click)="showRow=i;showMenu=!showMenu"></div>
          <div class="menu-item-container" *ngIf="showRow == i && showMenu">
            <a (click)="showEditComment(comment)"><div>Edit <i class="fa fa-pencil-square-o" aria-hidden="true"></i></div></a>
            <a>
                <button
                class="btn btn-default"
                mwlConfirmationPopover
                [popoverTitle]="popoverTitle"
                [popoverMessage]="popoverMessage"
                placement="left"
                (confirm)="deleteComment(comment);"
                (cancel)="cancelClicked = true" style="background: transparent;border: none;">
                Delete
              </button> <i class="fa fa-times fa-red" aria-hidden="true"></i></a>
              

          </div>
          <div class="media-left">
            <figure class="image is-64x64">
              <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQYm-KcyvHy3PDkmh0V9KzkUk26255h0RwthshiaoanTnfH2B_IRg" alt="Image" />
            </figure>
          </div>
          <div class="media-content">
            <div class="content">
              <div>
                <strong>{{ comment.userid }}</strong>
                &nbsp;&nbsp;&nbsp;<small>{{ comment.updatedTimeStamp | timeDateFormatter}}</small> <br />
                <div innerHtml="{{comment.commentBody}}"></div>
              </div>
            </div>
          </div>
        </article>
      </div>
    </div>
  </div>
</div>